# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/10/27
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from shipinhao.shipinhao_recommend import Recommend
from xinshi.xinshi_pc import XinshiPC


class Main:
    @classmethod
    def main(cls, env):
        while True:
            # if 16 >= datetime.datetime.now().hour >= 10:
            Common.logger('xinshi').info('开始抓取"新视-PC"内容\n')
            XinshiPC.login('xinshi', env)

            Recommend.run_recommend('recommend', env)
            Common.del_logs('recommend')
            Common.logger('recommend').info('休眠{}小时\n', 24 - datetime.datetime.now().hour)
            Recommend.download_cnt = []
            time.sleep(3600 * (24 - datetime.datetime.now().hour))

            # else:
            #     pass


if __name__ == '__main__':
    Main.main('prod')
